[
  {
    "chunk_id": 46,
    "chunk_type": "component",
    "human_description": "This is a component element in report 'ListReport'. Component kind: list. Contains 1 datasetRun(s). SubDataset: Addresses. Content size: 0x14.",
    "raw_xml": "<element kind=\"component\" uuid=\"a6cc346e-d517-431e-8860-d81cc4e1145f\" x=\"0\" y=\"25\" width=\"250\" height=\"20\">\n\t\t\t\t<component kind=\"list\" printOrder=\"Vertical\">\n\t\t\t\t\t<datasetRun uuid=\"b8180534-701e-4f9a-ad5f-785d1a5fb74b\" subDataset=\"Addresses\">\n\t\t\t\t\t\t<parameter name=\"City\">\n\t\t\t\t\t\t\t<expression>$F{City}</expression>\n\t\t\t\t\t\t</parameter>\n\t\t\t\t\t</datasetRun>\n\t\t\t\t\t<contents height=\"14\">\n\t\t\t\t\t\t<element kind=\"frame\" uuid=\"28b3ebcb-1bd3-422d-9468-54216206315d\" x=\"0\" y=\"0\" width=\"250\" height=\"14\" style=\"ListRow\">\n\t\t\t\t\t\t\t<element kind=\"textField\" uuid=\"2fba17f5-4547-4f51-a12f-815c7f0589ca\" x=\"0\" y=\"2\" width=\"15\" height=\"10\" hTextAlign=\"Right\" style=\"Sans_Small\">\n\t\t\t\t\t\t\t\t<expression>$F{Id}</expression>\n\t\t\t\t\t\t\t</element>\n\t\t\t\t\t\t\t<element kind=\"textField\" uuid=\"2cf85417-758d-4c99-b552-64eca8a5dfef\" positionType=\"Float\" x=\"20\" y=\"2\" width=\"110\" height=\"10\" textAdjust=\"StretchHeight\" style=\"Sans_Small\">\n\t\t\t\t\t\t\t\t<expression>$F{FirstName} + \" \" + $F{LastName}</expression>\n\t\t\t\t\t\t\t</element>\n\t\t\t\t\t\t\t<element kind=\"textField\" uuid=\"d1e4232f-52d4-40ee-9e9f-2e65682d9cd4\" positionType=\"Float\" x=\"135\" y=\"2\" width=\"105\" height=\"10\" textAdjust=\"StretchHeight\" style=\"Sans_Small\">\n\t\t\t\t\t\t\t\t<expression>$F{Street}</expression>\n\t\t\t\t\t\t\t</element>\n\t\t\t\t\t\t</element>\n\t\t\t\t\t</contents>\n\t\t\t\t</component>\n\t\t\t</element>\n\t\t",
    "context": "Report 'ListReport' component",
    "metadata": {
      "component_kind": "list",
      "dataset_runs": [
        {
          "subDataset": "Addresses",
          "dataSourceExpression": ""
        }
      ],
      "contents_height": "14",
      "contents_width": "0",
      "attributes": {
        "kind": "component",
        "uuid": "a6cc346e-d517-431e-8860-d81cc4e1145f",
        "x": "0",
        "y": "25",
        "width": "250",
        "height": "20"
      }
    }
  },
  {
    "chunk_id": 46,
    "chunk_type": "component",
    "human_description": "This is a component element in report 'ListReport'. Component kind: list. Contains 1 datasetRun(s). SubDataset: Addresses. Content size: 0x14.",
    "raw_xml": "<element kind=\"component\" uuid=\"a6cc346e-d517-431e-8860-d81cc4e1145f\" x=\"0\" y=\"25\" width=\"250\" height=\"20\">\n\t\t\t\t<component kind=\"list\" printOrder=\"Vertical\">\n\t\t\t\t\t<datasetRun uuid=\"b8180534-701e-4f9a-ad5f-785d1a5fb74b\" subDataset=\"Addresses\">\n\t\t\t\t\t\t<parameter name=\"City\">\n\t\t\t\t\t\t\t<expression>$F{City}</expression>\n\t\t\t\t\t\t</parameter>\n\t\t\t\t\t</datasetRun>\n\t\t\t\t\t<contents height=\"14\">\n\t\t\t\t\t\t<element kind=\"frame\" uuid=\"28b3ebcb-1bd3-422d-9468-54216206315d\" x=\"0\" y=\"0\" width=\"250\" height=\"14\" style=\"ListRow\">\n\t\t\t\t\t\t\t<element kind=\"textField\" uuid=\"2fba17f5-4547-4f51-a12f-815c7f0589ca\" x=\"0\" y=\"2\" width=\"15\" height=\"10\" hTextAlign=\"Right\" style=\"Sans_Small\">\n\t\t\t\t\t\t\t\t<expression>$F{Id}</expression>\n\t\t\t\t\t\t\t</element>\n\t\t\t\t\t\t\t<element kind=\"textField\" uuid=\"2cf85417-758d-4c99-b552-64eca8a5dfef\" positionType=\"Float\" x=\"20\" y=\"2\" width=\"110\" height=\"10\" textAdjust=\"StretchHeight\" style=\"Sans_Small\">\n\t\t\t\t\t\t\t\t<expression>$F{FirstName} + \" \" + $F{LastName}</expression>\n\t\t\t\t\t\t\t</element>\n\t\t\t\t\t\t\t<element kind=\"textField\" uuid=\"d1e4232f-52d4-40ee-9e9f-2e65682d9cd4\" positionType=\"Float\" x=\"135\" y=\"2\" width=\"105\" height=\"10\" textAdjust=\"StretchHeight\" style=\"Sans_Small\">\n\t\t\t\t\t\t\t\t<expression>$F{Street}</expression>\n\t\t\t\t\t\t\t</element>\n\t\t\t\t\t\t</element>\n\t\t\t\t\t</contents>\n\t\t\t\t</component>\n\t\t\t</element>\n\t\t",
    "context": "Report 'ListReport' component",
    "metadata": {
      "component_kind": "list",
      "dataset_runs": [
        {
          "subDataset": "Addresses",
          "dataSourceExpression": ""
        }
      ],
      "contents_height": "14",
      "contents_width": "0",
      "attributes": {
        "kind": "component",
        "uuid": "a6cc346e-d517-431e-8860-d81cc4e1145f",
        "x": "0",
        "y": "25",
        "width": "250",
        "height": "20"
      }
    }
  }
]